/* START jQuery doc ready function for generic use */
$(document).ready(function(){
	
	// get logged in cookie using cookie plugin and generate portal links 
	// set to 1 for testing only
	// $.cookie('ecu_portal', 1, { path: '/' });
	
	var portalLoggedIn = $.cookie('ecu_portal');
	if(portalLoggedIn=='1'){
		//$("#portal-links").html('<p>Signed into <a href="https://portal.ecu.edu.au">Portal</a> | <a href="https://sso.ecu.edu.au/pls/orasso/orasso.wwsso_app_admin.ls_logout?p_done_url=http%3A%2F%2Fwww.ecu.edu.au">Logout</a></p>');
	}


	$("#nav-local > ul > li").each(function(i){
		
		if ($(this).children().length > 1) {
			$(this).children().eq(0).addClass("parent-with-subs");
		}

	});
						   
	// ie6 fix for content headings
	$("#content-main h2:first-child").addClass("content-title");

	// ie6 and Firefox 3 on blur fix
	$("#searchbox").focus(function() {
		if( this.value == this.defaultValue ) {
			this.value = "";
		}
	}).blur(function() {
		if( !this.value.length ) {
			this.value = this.defaultValue;
		}
	});
	
	$('a.footer-page-info').click(function(){
		newWindow = window.open(this.href,"mywindow","location=0,status=0,scrollbars=0,width=540,height=520");
		newWindow.moveTo(0,0);
		return false;
	});
	
	// fix breadcrumb trail if displays last greater than char
	if($("#breadcrumb-links").length > 0){
		var linkHTML = $("#breadcrumb-links").html() + "";
		var trimmedHTML = trim(linkHTML);
		var lastChar = trimmedHTML.charAt(trimmedHTML.length-1);
		if(lastChar==";"){
			var newHTML = trimmedHTML.substring(0,trimmedHTML.lastIndexOf("&gt;"));
			$("#breadcrumb-links").html(newHTML);
		}
		// for safari
		if(lastChar==">"){
			var newHTML = trimmedHTML.substring(0,trimmedHTML.lastIndexOf(">"));
			$("#breadcrumb-links").html(newHTML);
		}
	}

	// fix the width of the floated image area container based on image size */
	var imgWidth = $("#floated-image-area img:first-child").width();
	$("#floated-image-area").width(imgWidth);
	
	// Dynamically pull wrapped related content column up
	// by the height of the main content h2 if no floated image exists
	if($("#related-content-wrapped").length > 0 && $("#floated-image-area img").length == 0){
		//var headingHeight = $("#related-content-wrapped").next("h2").height();
		//headingHeight = "-" + headingHeight + "px";
		$("#related-content-wrapped").css("margin-top", "-22px");
	}

	// Dynamically submit the search website remote form
	// only submit if there are no children of cse-search-results
	if($("form.remote-search-website").length > 0 && $("#cse-search-results").length > 0){
	   if($("#cse-search-results").children().length < 1){
	        $("form.remote-search-website").submit();
	   }
        }

        // hide reviewed string on login screen
	$(".footer-page-info:contains('%globals_')").parent().css("display","none");
	
});
/* END jQuery doc ready function for generic use */


/* START General Use JS Functions */

function removeTokenFromString(s,t) {
        s = s + "";
	var i = s.indexOf(t);
	var r = "";
	if (i == -1) return s;
	r += s.substring(0,i) + removeTokenFromString(s.substring(i + t.length), t);
	return r;
}

function getIndex(varArray, varValue){
	for(var i = 0; i < varArray.length; i++){
		if(varArray[i]==varValue){
			return i;
		}
	}
}

/* Read a page's GET URL variables and return them as an associative array. */
/* Example - var urlHash = getUrlVars(); alert(urlHash['hello']); */
function getUrlVars(){
	var vars = [], hash;
	var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
	for(var i = 0; i < hashes.length; i++){
		hash = hashes[i].split('=');
		vars.push(hash[0]);
		vars[hash[0]] = hash[1];
	}
	return vars;
}

function trim(str){
    str = str + "";
    return str.replace(/^\s+|\s+$/g,"");
}

/* END General Use JS Functions */






//------------------------------------------------------------------------------------------------------------------------------------------------------------------------>
// 16-05-2003 | David Polinelli | Generic Form Validation function
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------>
//
// Checks the following:
// ----------------------------
//
//	+	R 		=	REQUIRED, 	that the field contains data
//	+	NUM		= 	NUMBER,		that the entered data is a number
//	+	EMAIL	=	EMAIL,		that the entered data is a properly formated email address, thus contains '@' and at least one '.' 	eg. name@domain.com.au
//	+	TEXT	=	TEXT,		that the entered data is text
//	+	URL		=	URL,		that the entered data is a properly formated URL, thus containing 'http://' and at least one '.'	eg. http://www.domain.com.au
//	+	PHONE	=	PHONE NUM,	that the entered data is a properly formated phone number, thus containing '(' area_code ')'.		eg. (08) 9555 1234 or (+61) 0408 555 1234
//
//
//------------------------------------------------------------------------------------------------------------------------------------------------------------------------>

function checkForm() 
	{

	var theTags=checkForm.arguments;
	var theForm=theTags[0];
	var elementHiLite=0;
	
	ErrorMSG = "Some of the required fields have been left empty, fields requiring attention have been highlighted in grey.\n\n";
	ErrorMSG2 = "";
	
	// Repeat for each form element in "theTags", excluding the first [form name]
	for (i=1; i<(theTags.length); i=i+2)
		{
			var j = i + 1
			
			// Create a local variable with the form element name
			var theElement=theTags[i];
			
			// Create a local variable with the type of check
			var theChecker=theTags[j];
			
			// split the incoming parameter into an array based on the presne ceof the '-' character
			action = theChecker.split("-");
			
			document.forms[theForm].elements[theElement].style.background='#FFFFFF';
			
			// if the field is required then check that it contains data then set the ToCheck varaible to the type to check	
			if(action[0] == "R")
				{
					if(document.forms[theForm].elements[theElement].value == "")
						{
							if(elementHiLite == 0)
								{
									elementHiLite=theTags[i];
								}

							document.forms[theForm].elements[theElement].style.background='#CCCCCC';
						}
					
					var ToCheck = action[1];
				}
			else
				{
					var ToCheck = action[0];
				}


					
			switch(ToCheck)
				{
					//---------------------------------------------------------------------------------------------->
					// 15-05-2003 | David Polinelli | Check that the field contents is a NUMBER
					//---------------------------------------------------------------------------------------------->
					case "NUM":
					
					if(document.forms[theForm].elements[theElement].value != "")
						{
							fieldName = (document.forms[theForm].elements[theElement].name);
						
							if(isNaN(document.forms[theForm].elements[theElement].value))
								{
									ErrorMSG2 += "  - ";
									ErrorMSG2 += "Not a valid number:\n";
									
								if(elementHiLite == 0)
									{
										elementHiLite=theTags[i];
									}
								
									document.forms[theForm].elements[theElement].style.background='#CCCCCC';
								}
						}
						
					break;
					//---------------------------------------------------------------------------------------------->
					// 15-05-2003 | David Polinelli | Check that the field contents is a properly formated EMAIL
					//---------------------------------------------------------------------------------------------->
					case "EMAIL":
					
					if(document.forms[theForm].elements[theElement].value != "")
						{
							// check if @ or the '.' is missing
							if(document.forms[theForm].elements[theElement].value.indexOf('@') == -1 || document.forms[theForm].elements[theElement].value.indexOf('.') == -1)
								{
									ErrorMSG2 += "  - ";
									ErrorMSG2 += "Email format incorrect.     try: me@domain.com.au\n";
									
									if(elementHiLite == 0)
										{
											elementHiLite=theTags[i];
										}
									document.forms[theForm].elements[theElement].style.background='#CCCCCC';
								}
						}
						
					break;
					//---------------------------------------------------------------------------------------------->
					// 15-05-2003 | David Polinelli | Check that the field contents is a properly formated URL
					//---------------------------------------------------------------------------------------------->
					case "URL":
					
					if(document.forms[theForm].elements[theElement].value != "")
						{
							// check if http:// or the '.' is missing
							if(document.forms[theForm].elements[theElement].value.indexOf('http://') == -1)
								{
									ErrorMSG2 += "  - ";
									ErrorMSG2 += "URL format incorrect.       try: http://www.domain.com.au\n";
									
									if(elementHiLite == 0)
										{
											elementHiLite=theTags[i];
										}
									document.forms[theForm].elements[theElement].style.background='#CCCCCC';
								}
						}
					
					break;
					//---------------------------------------------------------------------------------------------->
					// 15-05-2003 | David Polinelli | Check that the field contents is a properly formated PHONE NUM
					//---------------------------------------------------------------------------------------------->
					case "PHONE":
					
					if(document.forms[theForm].elements[theElement].value != "")
						{
							// check if '(' or the ')' is missing
							if(document.forms[theForm].elements[theElement].value.indexOf('(') == -1 || document.forms[theForm].elements[theElement].value.indexOf(')') == -1)
								{
									ErrorMSG2 += "  - ";
									ErrorMSG2 += "Phone format incorrect.    try: (AREA CODE) 9555 1234\n";
									
									if(elementHiLite == 0)
										{
											elementHiLite=theTags[i];
										}
									document.forms[theForm].elements[theElement].style.background='#CCCCCC';
								}
						}
						
					break;
					//---------------------------------------------------------------------------------------------->
					// 15-05-2003 | David Polinelli | Check that the field contents is TEXT
					//---------------------------------------------------------------------------------------------->
					case "TEXT":
					
					if(document.forms[theForm].elements[theElement].value != "")
						{
							fieldName = (document.forms[theForm].elements[theElement].name);
						
							if(!isNaN(document.forms[theForm].elements[theElement].value))
								{
									ErrorMSG2 += "  - ";
									ErrorMSG2 += fieldName.toUpperCase();
									ErrorMSG2 += " is not text\n";
									
								if(elementHiLite == 0)
									{
										elementHiLite=theTags[i];
									}
								
									document.forms[theForm].elements[theElement].style.background='#CCCCCC';
								}
						}
						
					break;
					//---------------------------------------------------------------------------------------------->
					// 15-05-2003 | David Polinelli | Check that the field contents is MONEY
					//---------------------------------------------------------------------------------------------->
					case "MONEY":
					
					if(document.forms[theForm].elements[theElement].value != "")
						{
							// check if '$' is missing
							if(document.forms[theForm].elements[theElement].value.indexOf('$') == -1)
								{
									ErrorMSG2 += "  - ";
									ErrorMSG2 += "Money format incorrect.    try: $8594.83\n";
									
									if(elementHiLite == 0)
										{
											elementHiLite=theTags[i];
										}
									document.forms[theForm].elements[theElement].style.background='#CCCCCC';
								}
						}
						
					break;
					//---------------------------------------------------------------------------------------------->
				}
		}
	
	if(elementHiLite == 0)
		{
				return true;
		}
	else
		{
			if(ErrorMSG2 != "")
				{
					ErrorMSG += "In addition the following fields have been flagged as containing errors:\n\n";
					ErrorMSG += ErrorMSG2;
				}
			
			// display the alert dialog box showing the errors that were found
			alert(ErrorMSG);
		
			document.forms[theForm].elements[elementHiLite].focus();

			return false;
		}
	} 
